# Uses of Interface
org.opensaml.core.config.ConfigurationPropertiesSource

Packages that use ConfigurationPropertiesSource
Package
Description
org.opensaml.core.config
Interfaces and classes related to library configuration and initialization.
org.opensaml.core.config.provider
Implementation of library configuration and initialization.
org.opensaml.spring.config
Beans for configuration classes.

## Uses of ConfigurationPropertiesSource in org.opensaml.core.config

Fields in org.opensaml.core.config declared as ConfigurationPropertiesSource
Modifier and Type
Field
Description
`private static ConfigurationPropertiesSource`
ConfigurationService.`defaultConfigurationPropertiesSource`
A default configuration properties source to use.
Fields in org.opensaml.core.config with type parameters of type ConfigurationPropertiesSource
Modifier and Type
Field
Description
`private static ServiceLoader<ConfigurationPropertiesSource>`
ConfigurationService.`configPropertiesLoader`
The service loader used to locate registered implementations of ConfigurationPropertiesSource.
Methods in org.opensaml.core.config that return ConfigurationPropertiesSource
Modifier and Type
Method
Description
`static ConfigurationPropertiesSource`
ConfigurationService.`getDefaultConfigurationPropertiesSource()`
Get the default `ConfigurationPropertiesSource` instance to use.
Methods in org.opensaml.core.config with parameters of type ConfigurationPropertiesSource
Modifier and Type
Method
Description
`static void`
ConfigurationService.`setDefaultConfigurationPropertiesSource(ConfigurationPropertiesSource source)`
Set the default `ConfigurationPropertiesSource` instance to use.

## Uses of ConfigurationPropertiesSource in org.opensaml.core.config.provider

Classes in org.opensaml.core.config.provider that implement ConfigurationPropertiesSource
Modifier and Type
Class
Description
`class`
`AbstractFilesystemConfigurationPropertiesSource`
A configuration properties source implementation which obtains the properties set from a resource on the filesystem.
`class`
`ClasspathConfigurationPropertiesSource`
A configuration properties source implementation which obtains the properties set from a resource on the class path.
`class`
`SystemPropertyConfigurationPropertiesSource`
A configuration properties source implementation which simply returns the system properties set.
`class`
`SystemPropertyFilesystemConfigurationPropertiesSource`
Concrete implementation of filesystem configuration properties source which obtains the filename value from a system property.
`class`
`ThreadLocalConfigurationPropertiesSource`
A configuration properties source implementation which obtains the properties set from a `ThreadLocal` variable.

## Uses of ConfigurationPropertiesSource in org.opensaml.spring.config

Classes in org.opensaml.spring.config that implement ConfigurationPropertiesSource
Modifier and Type
Class
Description
`class`
`SpringConfigurationPropertiesSource`
An implementation of `ConfigurationPropertiesSource` that delegates to a supplied Spring `PropertyResolver`.